Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::Attribute Struct Reference

struct use an attribute and a position More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| Attribute ()
| constructor
| ~Attribute ()
| destructor
bool | read (StarZone &zone, StarObject &object)
| try to read a attribute: 'A'

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< Attribute > &attributeList, StarObject &object)
| try to read a list of attribute: 'S'

## Public Attributes
std::shared_ptr< StarAttribute > | m_attribute
| the attribute
STOFFVec2i | m_position
| the begin/end position

## Friends
std::ostream & | operator<< (std::ostream &o, Attribute const &attribute)
| operator<<

## Detailed Description

struct use an attribute and a position

## Constructor & Destructor Documentation

## ◆ Attribute()

StarWriterStruct::Attribute::Attribute | ( |  | ) |
| inline

constructor

## ◆ ~Attribute()

StarWriterStruct::Attribute::~Attribute | ( |  | ) |

destructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::Attribute::read | ( | StarZone & | zone,
|  | StarObject & | object )

try to read a attribute: 'A'

Referenced by readList(), and StarObjectText::readSWTextZone().

## ◆ readList()

bool StarWriterStruct::Attribute::readList | ( | StarZone & | zone,
|  | std::vector< Attribute > & | attributeList,
|  | StarObject & | object )
| static

try to read a list of attribute: 'S'

Referenced by StarObjectPageStyleInternal::PageDesc::read(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), and StarObjectText::readSWTextZone().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Attribute const & | attribute )
| friend

operator<<

## Member Data Documentation

## ◆ m_attribute

std::shared_ptr<StarAttribute> StarWriterStruct::Attribute::m_attribute

the attribute

Referenced by read().

## ◆ m_position

STOFFVec2i StarWriterStruct::Attribute::m_position

the begin/end position

Referenced by read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx